OpenCV: cv::cudev::TypeTraits< T > Struct Template Reference

| OpenCV 3.4.2 Open Source Computer Vision

Public Types | List of all members
cv::cudev::TypeTraits< T > Struct Template Reference
Core functionality » OpenGL interoperability » CUDA-accelerated Computer Vision » Device layer

`#include "type_traits.hpp"`

## Public Types
enum | { is_const = type_traits_detail::UnConst<T>::value }
enum | { is_volatile = type_traits_detail::UnVolatile<T>::value }
enum | { is_reference = type_traits_detail::ReferenceTraits<unqualified_type>::value }
enum | { is_pointer = type_traits_detail::PointerTraits<typename type_traits_detail::ReferenceTraits<unqualified_type>::type>::value }
enum | { is_unsigned_int = type_traits_detail::IsUnsignedIntegral<unqualified_type>::value }
enum | { is_signed_int = type_traits_detail::IsSignedIntergral<unqualified_type>::value }
enum | { is_integral = type_traits_detail::IsIntegral<unqualified_type>::value }
enum | { is_float = type_traits_detail::IsFloat<unqualified_type>::value }
enum | { is_scalar = is_integral || is_float }
enum | { is_vec = type_traits_detail::IsVec<unqualified_type>::value }
typedef type_traits_detail::UnConst< T >::type | non_const_type
typedef type_traits_detail::UnVolatile< T >::type | non_volatile_type
typedef SelectIf< type_traits_detail::IsSimpleParameter< unqualified_type >::value, T, typename type_traits_detail::AddParameterType< T >::type >::type | parameter_type
typedef type_traits_detail::PointerTraits< unqualified_type >::type | pointee_type
typedef type_traits_detail::ReferenceTraits< T >::type | referred_type
typedef type_traits_detail::UnVolatile< typename type_traits_detail::UnConst< T >::type >::type | unqualified_type

## Member Typedef Documentation

## ◆ non_const_type

template<typename T>

typedef type_traits_detail::UnConst<T>::type cv::cudev::TypeTraits< T >::non_const_type

## ◆ non_volatile_type

template<typename T>

typedef type_traits_detail::UnVolatile<T>::type cv::cudev::TypeTraits< T >::non_volatile_type

## ◆ parameter_type

template<typename T>

typedef SelectIf<type_traits_detail::IsSimpleParameter<unqualified_type>::value, T, typename type_traits_detail::AddParameterType<T>::type>::type cv::cudev::TypeTraits< T >::parameter_type

## ◆ pointee_type

template<typename T>

typedef type_traits_detail::PointerTraits<unqualified_type>::type cv::cudev::TypeTraits< T >::pointee_type

## ◆ referred_type

template<typename T>

typedef type_traits_detail::ReferenceTraits<T>::type cv::cudev::TypeTraits< T >::referred_type

## ◆ unqualified_type

template<typename T>

typedef type_traits_detail::UnVolatile<typename type_traits_detail::UnConst<T>::type>::type cv::cudev::TypeTraits< T >::unqualified_type

## Member Enumeration Documentation

## ◆ anonymous enum

template<typename T>

anonymous enum

Enumerator
is_const |

## ◆ anonymous enum

template<typename T>

anonymous enum

Enumerator
is_volatile |

## ◆ anonymous enum

template<typename T>

anonymous enum

Enumerator
is_reference |

## ◆ anonymous enum

template<typename T>

anonymous enum

Enumerator
is_pointer |

## ◆ anonymous enum

template<typename T>

anonymous enum

Enumerator
is_unsigned_int |

## ◆ anonymous enum

template<typename T>

anonymous enum

Enumerator
is_signed_int |

## ◆ anonymous enum

template<typename T>

anonymous enum

Enumerator
is_integral |

## ◆ anonymous enum

template<typename T>

anonymous enum

Enumerator
is_float |

## ◆ anonymous enum

template<typename T>

anonymous enum

Enumerator
is_scalar |

## ◆ anonymous enum

template<typename T>

anonymous enum

Enumerator
is_vec |

The documentation for this struct was generated from the following file:

- cudev/include/opencv2/cudev/util/type_traits.hpp